<?php
class steed_element_header_phone{
	public $customize_prefix;
	public $customize_panel;
	public $customize_section;
	
	
	function __construct(){
		$this->customize_prefix = 'header_phone_';
		$this->customize_section = 'steed_phone_email';
		$this->customize_panel = 'site_header';
		
		add_action( 'customize_register', array($this, 'customize') );
		add_filter('steed_custom_css', array($this, 'css'));
	}	
	
	function html(){
		if( steed_theme_mod($this->customize_prefix.'active') == true){
			echo '<div class="header_phone">';
				if(steed_theme_mod($this->customize_prefix.'font_icon') != ''){
					echo '<i class="fa fa-'.esc_attr(steed_theme_mod($this->customize_prefix.'font_icon')).'"></i>';
				}
				if(steed_theme_mod($this->customize_prefix.'image_icon') != ''){
					echo '<img src="'.esc_url(steed_theme_mod($this->customize_prefix.'image_icon')).'" alt="">';
				}
				echo '<a href="tel:'.esc_attr(steed_theme_mod($this->customize_prefix.'content')).'">'.esc_attr(steed_theme_mod($this->customize_prefix.'content')).'</a>';
			echo'</div>';
		}
	}
	
	function customize($wp_customize){
		$wp_customize->add_section( $this->customize_section , array(
			'title'      => __( 'Header Phone', 'steed' ),
			'priority'   => 30,
			'panel'		=> $this->customize_panel,
		));
		
		$uid = $this->customize_prefix.'content';
		$wp_customize->add_setting($uid, array( 'default' => steed_customiz_std($uid), 'sanitize_callback' => 'wp_kses_post', ));
		$wp_customize->add_control( $uid, array(
			'label'      => 'Address Text',
			'section'    => $this->customize_section,
			'settings'   => $uid,
			'description' => '',
			'type'       => 'textarea',
			'priority'   => 7,
		));	

	}
	
	public function css($css){
		$new_css = '';
		if(steed_theme_mod($this->customize_prefix.'icon_color') != ''){
			$new_css .='.header_phone i{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'icon_color')).';';
			$new_css .='}';
		 }
		 if(steed_theme_mod($this->customize_prefix.'text_color') != ''){
			$new_css .='.header_phone a, .header_phone a:hover{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'text_color')).';';
			$new_css .='}';
		 }
		 
		 if(steed_theme_mod($this->customize_prefix.'icon_hover_color') != ''){
			$new_css .='.header_phone:hover i{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'icon_hover_color')).';';
			$new_css .='}';
		 }
		 if(steed_theme_mod($this->customize_prefix.'text_hover_color') != ''){
			$new_css .='.header_phone:hover a, .header_phone a:hover{';
				 echo 'color:'.steed_sanitize_rgba(steed_theme_mod($this->customize_prefix.'text_hover_color')).';';
			$new_css .='}';
		 }

		return $css.$new_css;
	}
}
$GLOBALS['steed_element_header_phone'] = new steed_element_header_phone;
function steed_element_header_phone(){
	$GLOBALS['steed_element_header_phone']->html();
}