<?php
/**
 * Steed Theme Customizer.
 *
 * @package Steed
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function steed_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	
	$wp_customize->add_panel( 'site_header', array(
		'title'			=> __('Site Header', 'steed'),
		'description'	=> '',
		'priority'		=> 160,
	));
	$wp_customize->add_section( 'steed_topbar' , array(
		'title'      => __( 'Topbar', 'steed' ),
		'priority'   => 30,
		'panel'		=> 'site_header',
	));
	$wp_customize->add_section( 'steed_main_menu' , array(
		'title'		=> __( 'Main Menu', 'steed' ),
		'priority'	=> 30,
		'panel'		=> 'site_header',
	));
	$wp_customize->add_section( 'steed_header_style' , array(
		'title'		=> __( 'Header Style & Background', 'steed' ),
		'priority'	=> 160,
		'panel'		=> 'site_header',
	));
	$wp_customize->add_section( 'steed_branding_style' , array(
		'title'		=> __( 'Branding Area Style & Background', 'steed' ),
		'priority'	=> 160,
		'panel'		=> 'site_header',
	));
	$wp_customize->add_section( 'site_subheader' , array(
		'title'		=> __( 'Page / Post Title area', 'steed' ),
		'priority'	=> 160,
		//'panel'		=> '',
	));
	$wp_customize->add_section( 'steed_content_area_style' , array(
		'title'		=> __( 'Content Area Style', 'steed' ),
		'priority'	=> 160,
		//'panel'		=> '',
	));
	$wp_customize->add_panel( 'site_Footer', array(
		'title'			=> __('Site Footer', 'steed'),
		'description'	=> '',
		'priority'		=> 160,
	));
	$wp_customize->add_section( 'steed_footer_warp_style' , array(
		'title'		=> __( 'Footer Warp Style & Background', 'steed' ),
		'priority'	=> 160,
		'panel'		=> 'site_Footer',
	));
	$wp_customize->add_section( 'steed_footer_widgets' , array(
		'title'      => __( 'Footer Widgets', 'steed' ),
		'priority'   => 30,
		'panel'		=> 'site_Footer',
	));
	$wp_customize->add_section( 'steed_footer_bar' , array(
		'title'      => __( 'Footer Bar', 'steed' ),
		'priority'   => 30,
		'panel'		=> 'site_Footer',
	));
}
add_action( 'customize_register', 'steed_customize_register' );


if( class_exists( 'WP_Customize_Control' ) ):
	class steed_Customize_Control_heading extends WP_Customize_Control {
		
		public $label;
		public $description;
		
		public function render_content(){
			?>
            <div class="steed_Customize_Control_heading" style="background-color: #00a0d2; padding: 10px 15px; margin-left: -15px; margin-right: -15px;">
              	<?php
					if($this->label){ echo '<h4 style="margin: 0; color: #fff; font-size: 15px;">'.$this->label.'</h4>'; }
					if($this->description){ echo '<p style="color:#fff;">'.$this->description.'</p>'; }
				?>
            </div>
            <?php
		}
	}
endif;

function steed_Customize_Control_heading($prefix, $section_prefix_id, $title="", $des ="", $wp_customize){
	$uid = $prefix.'heading_aa';
	$wp_customize->add_setting($uid, array( 'default' => '', 'sanitize_callback' => 'sanitize_text_field', ));
	$wp_customize->add_control(new steed_Customize_Control_heading($wp_customize, $uid, array(
		'label'      => $title,
		'section'    => $section_prefix_id,
		'settings'   => $uid,
		'description' => $des,
	)));
	return $wp_customize;	
}

function steed_Customize_Control_color($prefix, $section_prefix_id, $title="", $des ="", $wp_customize, $std = ''){
	$uid = $prefix.'color';
	$wp_customize->add_setting($uid, array( 'default' => steed_customiz_std($uid, $std), 'sanitize_callback' => 'sanitize_hex_color', ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, $uid, array(
		'label'      => $title,
		'section'    => $section_prefix_id,
		'settings'   => $uid,
		'description' => $des,
	)));
	
	
	return $wp_customize;	
}